package com.artfess.uc.manager.impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.springframework.stereotype.Service;
import com.artfess.base.manager.impl.BaseManagerImpl;
import com.artfess.uc.dao.HolidayTimeDao;
import com.artfess.uc.model.HolidayTime;
import com.artfess.uc.manager.HolidayTimeManager;

import java.io.Serializable;
import java.util.List;

/**
 * 
 * <pre> 
 * 描述：假期时间 处理实现类
 * 构建组：x7
 * 作者:qiuxd
 * 邮箱:qiuxd@jee-soft.cn
 * 日期:2020-08-04 11:04:36
 * 版权：广州宏天软件股份有限公司
 * </pre>
 */
@Service("holidayTimeManager")
public class HolidayTimeManagerImpl extends BaseManagerImpl<HolidayTimeDao, HolidayTime> implements HolidayTimeManager{

    @Override
    public List<HolidayTime> getByHolidayId(Serializable holidayId) {
        QueryWrapper<HolidayTime> wrapper = new QueryWrapper<>();
        wrapper.eq("holiday_id_",holidayId);
        return baseMapper.selectList(wrapper);
    }
}
